package com.xindazhou.message.service.impl;

import com.xindazhou.message.api.dto.send.MessageSendReqDTO;
import com.xindazhou.message.service.MessageSendService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 消息发送 Service 实现类
 *
 * @author xindazhou
 */
@Service
@Slf4j
public class MessageSendServiceImpl implements MessageSendService {

    @Override
    public Long sendMessage(MessageSendReqDTO reqDTO) {
        // TODO: 实现消息发送逻辑
        log.info("发送消息，请求参数：{}", reqDTO);
        return 1L; // 临时返回值
    }

}

